/*
 * (C) IBM Corp. 1997-1998
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.cdfedit;

import com.ibm.xml.parser.*;
import java.awt.*;
import java.net.*;
import java.io.*;
import java.awt.event.*;

public class LabelEdt extends Label {

  public LabelEdt(String str) {
    super(str);
    MouseEventHandler ev = new MouseEventHandler();
    addMouseListener(ev);
  }
  public void processMouseEvent(MouseEvent e) {
    if (e.isPopupTrigger()) {
      Container co;
      co = getParent();
      ((ProcCHANNEL )co).enableBtns();

      ((ProcCHANNEL )co).pop.show(this, e.getX(), e.getY());
    }
    else
      super.processMouseEvent(e);
  }

  class MouseEventHandler extends MouseAdapter {
  }

}
